summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorMåns Rullgård <mans@mansr.com>2010-07-18 20:46:44 +0000
committerMåns Rullgård <mans@mansr.com>2010-07-18 20:46:44 +0000
commitcdaf4b79bba8938ac8da620e9ff3758fccba83e4 (patch)
tree7b40917660372c56bfefde5597e77555ec37ba85 /tests/fate-run.sh
parentf366a6de310226e5f8f39fa9923fcf8271259f7f (diff)
fate: simplify test runner slightly
All tests use the provided helper functions so prepending $target_exec and using eval is no longer required. Originally committed as revision 24317 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 015aab4291..0bbb530918 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -66,8 +66,7 @@ fi
mkdir -p "$outdir"
-case "$command" in /*) command="$target_exec $command" ;; esac
-eval $command > "$outfile" 2>/dev/null || exit
+$command > "$outfile" 2>/dev/null || exit
case $cmp in
diff) diff -u -w "$ref" "$outfile" ;;